BizKitHub
DocsAPI ReferenceCalendar Event/bff/calendar/event-type-add
postCalendar EventAdmin BFF

/bff/calendar/event-type-add

Creates a new event type for the organisation. Code must be unique within the organisation.

Calendar EventpostBffCalendarEvent-type-add

Parameters

JSON body

Request body

application/json
codestringRequired

Unique event type code (e.g., "workshop", "meeting").

labelstringRequired

Display label (e.g., "Workshop", "Meeting").

colorstringRequired

Hex color (e.g., "#FF5733" or "FF5733").

productIdnumber | nullOptional
One of 2:
Variant 1
number

Product ID to link for pricing / inventory. Null if none.

Variant 2
null

Response schema

1 status code documented

200Success
codestringRequired

Code of the created event type.

Response example

application/json
{
  "code": "example_code"
}

Request example

POST /bff/calendar/event-type-add

post
curl -X POST "https://api.bizkithub.com/bff/calendar/event-type-add" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "code": "example_code",
  "label": "example_label",
  "color": "example_color"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key